Index: /trunk/import/pp_definition_ORACLE.sql
===================================================================
--- /trunk/import/pp_definition_ORACLE.sql	(revision 252)
+++ /trunk/import/pp_definition_ORACLE.sql	(revision 253)
@@ -12,13 +12,17 @@
     kreis		integer,
     gemeinde		integer NOT NULL,
-    gemeindename	character varying(80),
+    gemeindename	varchar2(80),
     anz_gemarkg		integer,
-    CONSTRAINT ALKIS_KEY_0 PRIMARY KEY (land, gemeinde)
+    CONSTRAINT ALKIS_KEYPP_0 PRIMARY KEY (land, gemeinde)
   );
-CREATE UNIQUE INDEX ALKIS_KEY_1 ON pp_gemeinde (gid);
-SELECT AddGeometryColumn('pp_gemeinde','the_geom','25832','MULTIPOLYGON',2);
-CREATE INDEX ALKIS_KEY_2 ON PP_GEMEINDE(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
-SELECT AddGeometryColumn('pp_gemeinde','simple_geom','25832','MULTIPOLYGON',2);
-CREATE INDEX ALKIS_KEY_3 ON PP_GEMEINDE(SIMPLE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
+CREATE UNIQUE INDEX ALKIS_KEYPP_1 ON pp_gemeinde (gid);
+
+--TODO SELECT AddGeometryColumn('pp_gemeinde','the_geom','25832','MULTIPOLYGON',2);
+
+CREATE INDEX ALKIS_KEYPP_2 ON PP_GEMEINDE(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
+
+--TODO SELECT AddGeometryColumn('pp_gemeinde','simple_geom','25832','MULTIPOLYGON',2);
+
+CREATE INDEX ALKIS_KEYPP_3 ON PP_GEMEINDE(SIMPLE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
   COMMENT ON TABLE  pp_gemeinde                IS 'Post-Processing: Gemeinde';
   COMMENT ON COLUMN pp_gemeinde.gemeinde       IS 'Gemeindenummer';
@@ -36,13 +40,13 @@
     gemeinde		integer NOT NULL,
     gemarkung		integer NOT NULL,
-    gemarkungsname	character varying(80),
+    gemarkungsname	varchar2(80),
     anz_flur		integer,
-    CONSTRAINT ALKIS_KEY_4 PRIMARY KEY (land, gemarkung)
+    CONSTRAINT ALKIS_KEYPP_4 PRIMARY KEY (land, gemarkung)
   );
-CREATE UNIQUE INDEX ALKIS_KEY_5 ON pp_gemarkung (gid);
-SELECT AddGeometryColumn('pp_gemarkung','the_geom','25832','MULTIPOLYGON',2);
-CREATE INDEX ALKIS_KEY_6 ON PP_GEMARKUNG(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
-SELECT AddGeometryColumn('pp_gemarkung','simple_geom','25832','MULTIPOLYGON',2);
-CREATE INDEX ALKIS_KEY_7 ON PP_GEMARKUNG(SIMPLE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
+CREATE UNIQUE INDEX ALKIS_KEYPP_5 ON pp_gemarkung (gid);
+--TODO SELECT AddGeometryColumn('pp_gemarkung','the_geom','25832','MULTIPOLYGON',2);
+CREATE INDEX ALKIS_KEYPP_6 ON PP_GEMARKUNG(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
+--TODO SELECT AddGeometryColumn('pp_gemarkung','simple_geom','25832','MULTIPOLYGON',2);
+CREATE INDEX ALKIS_KEYPP_7 ON PP_GEMARKUNG(SIMPLE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
 COMMENT ON TABLE  pp_gemarkung               IS 'Post-Processing: Gemarkung. u.a. liegt in welcher Gemeinde';
 COMMENT ON COLUMN pp_gemarkung.gemeinde      IS 'Gemeindenummer';
@@ -62,9 +66,9 @@
     flurnummer		integer NOT NULL,
     anz_fs		integer,
-    CONSTRAINT ALKIS_KEY_8 PRIMARY KEY (land, gemarkung, flurnummer)
+    CONSTRAINT ALKIS_KEYPP_8 PRIMARY KEY (land, gemarkung, flurnummer)
   );
-CREATE UNIQUE INDEX ALKIS_KEY_9 ON pp_flur (gid);
-SELECT AddGeometryColumn('pp_flur','the_geom','25832','MULTIPOLYGON',2);
-CREATE INDEX ALKIS_KEY_10 ON PP_FLUR(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
+CREATE UNIQUE INDEX ALKIS_KEYPP_9 ON pp_flur (gid);
+--TODO SELECT AddGeometryColumn('pp_flur','the_geom','25832','MULTIPOLYGON',2);
+CREATE INDEX ALKIS_KEYPP_10 ON PP_FLUR(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
 COMMENT ON TABLE  pp_flur                IS 'Post-Processing: Flur';
 COMMENT ON COLUMN pp_flur.gemarkung      IS 'Gemarkungsnummer';
@@ -79,7 +83,7 @@
     kreis		integer,
     gemeinde		integer,
-    person		character varying(16),
+    person		varchar2(16),
     buchtyp		integer,
-    CONSTRAINT ALKIS_KEY_11 PRIMARY KEY (gemeinde, person)
+    CONSTRAINT ALKIS_KEYPP_11 PRIMARY KEY (gemeinde, person)
   );
 COMMENT ON TABLE  gemeinde_person            IS 'Person ist EigentÃŒmer von mindestens einem FlurstÃŒck in der Gemeinde';
@@ -87,5 +91,5 @@
 COMMENT ON COLUMN gemeinde_person.buchtyp    IS 'Typ der Buchung 1=direkt, 2=Recht einer Buchungsstele an andere Buchungsstelle';
 COMMENT ON COLUMN gemeinde_person.person     IS 'gml_id von Person';
-CREATE INDEX ALKIS_KEY_12  ON gemeinde_person (person, gemeinde);
+CREATE INDEX ALKIS_KEYPP_12  ON gemeinde_person (person, gemeinde);
   
 DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='PP_FLURSTUECK_NR';
@@ -95,10 +99,10 @@
     gid		integer,
     fsgml	character(16),
-    fsnum	character varying(10),
-    CONSTRAINT ALKIS_KEY_13  PRIMARY KEY (gid)
+    fsnum	varchar2(10),
+    CONSTRAINT ALKIS_KEYPP_13  PRIMARY KEY (gid)
   );
 SELECT AddGeometryColumn('pp_flurstueck_nr','the_geom','25832','POINT',2);
-CREATE INDEX ALKIS_KEY_14 ON PP_FLURSTUECK_NR(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
-CREATE INDEX ALKIS_KEY_15 ON pp_flurstueck_nr(fsgml);
+CREATE INDEX ALKIS_KEYPP_14 ON PP_FLURSTUECK_NR(THE_GEOM) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
+CREATE INDEX ALKIS_KEYPP_15 ON pp_flurstueck_nr(fsgml);
 COMMENT ON TABLE  pp_flurstueck_nr           IS 'Post-Processing: Position der FlurstÃŒcksnummer in der Karte';
 COMMENT ON COLUMN pp_flurstueck_nr.fsgml     IS 'gml_id des zugehÃ¶rigen FlurstÃŒcks-Objektes';