Index: trunk/umn/alkis/alkis_muster.map
===================================================================
--- trunk/umn/alkis/alkis_muster.map	(revision 260)
+++ trunk/umn/alkis/alkis_muster.map	(revision 262)
@@ -73,4 +73,117 @@
 # die zu Pseudo-Fluren zusammen gefasst werden. Fachlich falsch!
 
+
+LAYER
+	NAME "pp_flur"
+	GROUP "pp_gebiete"
+	TYPE POLYGON
+	DUMP true
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
+	PROCESSING "CLOSE_CONNECTION=DEFER"
+	DATA "the_geom from (SELECT gid, gemarkung, flurnummer, the_geom FROM pp_flur) as foo using unique gid using SRID=25832"
+	METADATA
+		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+		wms_title "Flur"
+		wms_abstract "Flur"
+		gml_include_items "all"
+	END
+	PROJECTION
+		"init=epsg:25832"
+	END
+	EXTENT 349000 5529000 356000 5533000
+	MINSCALEDENOM  1600
+	MAXSCALEDENOM 20000
+	
+	SIZEUNITS meters
+	
+	CLASS
+		NAME "Flur"
+		TEXT "Flur [flurnummer]" 
+		STYLE
+			OUTLINECOLOR 254 254 254
+			WIDTH 2
+	        MINWIDTH 1.5
+			MAXWIDTH 2	
+		END		
+		STYLE
+			OUTLINECOLOR 100 150 10
+			WIDTH 2
+	        MINWIDTH 1.5
+			MAXWIDTH 2
+			PATTERN 10 4 3 4 3 4 3 4 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter
+		END
+
+		LABEL
+			TYPE TRUETYPE
+			COLOR 100 150 10
+			FONT "arial"
+			SIZE 14
+			MINSIZE 10
+			MAXSIZE 16
+			POSITION cc
+			PARTIALS FALSE
+			FORCE FALSE
+		END
+	END
+END
+
+LAYER
+	NAME "pp_gemarkung"
+	GROUP "pp_gebiete"
+	TYPE POLYGON
+	DUMP true
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
+	PROCESSING "CLOSE_CONNECTION=DEFER"
+	DATA "simple_geom from (SELECT gid, gemarkungsname, simple_geom FROM pp_gemarkung) as foo using unique gid using SRID=25832"
+	METADATA
+		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
+		wms_title "Gemarkung"
+		wms_abstract "GemarkungsflÃ€che (vereinfachte Geometrie)"
+		gml_include_items "all"
+	END
+	PROJECTION
+		"init=epsg:25832"
+	END
+	EXTENT 349000 5529000 356000 5533000
+	MINSCALEDENOM  4000
+	MAXSCALEDENOM 40000
+	LABELITEM gemarkungsname
+	CLASS
+		NAME "Gemarkung"
+		STYLE
+			OUTLINECOLOR 254 254 254
+			WIDTH 2
+	        MINWIDTH 2
+			MAXWIDTH 3 	
+		END			
+		STYLE
+			OUTLINECOLOR 242 128 255 #140 80 0
+			WIDTH 2
+	        MINWIDTH 2
+			MAXWIDTH 3 				
+			#PATTERN 3 12 END
+			PATTERN 10 5 3 5 3 5 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter
+		END
+		LABEL
+			TYPE TRUETYPE
+			COLOR  242 128 255  #140 80 0
+			FONT "arial"
+			SIZE 16
+			POSITION cc
+			OFFSET 0 10
+			PARTIALS FALSE
+			FORCE FALSE
+		END
+	END
+END
+
 LAYER
 	NAME "pp_gemeinde"
@@ -100,7 +213,19 @@
 		NAME "Gemeinde"
 		STYLE
+			OUTLINECOLOR 254 254 254
+			WIDTH 3
+	        MINWIDTH 3
+			MAXWIDTH 4 	
+		END			
+		STYLE
 			OUTLINECOLOR 10 10 200
-			WIDTH 7
-			PATTERN 8 22 END
+			WIDTH 3
+	        MINWIDTH 3
+			MAXWIDTH 4				
+			#PATTERN 8 22 END
+			PATTERN 3 5 10 5 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter			
 		END
 		LABEL
@@ -116,95 +241,4 @@
 	END
 END
-
-LAYER
-	NAME "pp_gemarkung"
-	GROUP "pp_gebiete"
-	TYPE POLYGON
-	DUMP true
-	CONNECTIONTYPE POSTGIS
-	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
-	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "simple_geom from (SELECT gid, gemarkungsname, simple_geom FROM pp_gemarkung) as foo using unique gid using SRID=25832"
-	METADATA
-		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
-		wms_title "Gemarkung"
-		wms_abstract "GemarkungsflÃ€che (vereinfachte Geometrie)"
-		gml_include_items "all"
-	END
-	PROJECTION
-		"init=epsg:25832"
-	END
-	EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM  4000
-	MAXSCALEDENOM 40000
-	LABELITEM gemarkungsname
-	CLASS
-		NAME "Gemarkung"
-		STYLE
-			OUTLINECOLOR 140 80 0
-			WIDTH 5
-			PATTERN 3 12 END
-		END
-		LABEL
-			TYPE TRUETYPE
-			COLOR 140 80 0
-			FONT "arial"
-			SIZE 16
-			POSITION cc
-			OFFSET 0 10
-			PARTIALS FALSE
-			FORCE FALSE
-		END
-	END
-END
-
-LAYER
-	NAME "pp_flur"
-	GROUP "pp_gebiete"
-	TYPE POLYGON
-	DUMP true
-	CONNECTIONTYPE POSTGIS
-	CONNECTION "host=localhost dbname=alkis07*gkz* user=ms6 port=5432"
-	PROCESSING "CLOSE_CONNECTION=DEFER"
-	DATA "the_geom from (SELECT gid, gemarkung, flurnummer, the_geom FROM pp_flur) as foo using unique gid using SRID=25832"
-	METADATA
-		wms_srs "EPSG:31467 EPSG:4326 EPSG:25832 EPSG:54004"
-		wms_title "Flur"
-		wms_abstract "Flur"
-		gml_include_items "all"
-	END
-	PROJECTION
-		"init=epsg:25832"
-	END
-	EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM  1600
-	MAXSCALEDENOM 20000
-	CLASS
-		NAME "Flur"
-		TEXT "Flur [flurnummer]" 
-		STYLE
-			OUTLINECOLOR 100 150 10
-			WIDTH 3
-			PATTERN 1 8 END
-		END
-
-		#STYLE # fuer TEST Flaechendeckung?
-		#	COLOR 100 150 10
-		#	SYMBOL "sn3631"
-		#	SIZE 10
-		#END
-
-		LABEL
-			TYPE TRUETYPE
-			COLOR 100 150 10
-			FONT "arial"
-			SIZE 14
-			POSITION cc
-			PARTIALS FALSE
-			FORCE FALSE
-		END
-	END
-END
-
 
 # ALKIS tatsaechliche Nutzung (Siedlung, Verkehr, GewÃ€sser, Vegetation)
@@ -469,5 +503,5 @@
 	CLASS
 		EXPRESSION '18'
-		NAME "Gehoelz"
+		NAME "GehÃ¶lz"
 		STYLE
 			COLOR 187 222 201
@@ -501,5 +535,5 @@
 	CLASS
 		EXPRESSION '22'
-		NAME "Unland, vegetationslose Flaeche"
+		NAME "Unland, vegetationslose FlÃ€che"
 		STYLE
 			COLOR 255 255 255
@@ -517,5 +551,5 @@
 	CLASS
 		EXPRESSION '24'
-		NAME "Fliessgewaesser"
+		NAME "FlieÃgewÃ€sser"
 		STYLE
 			COLOR 190 233 250
@@ -533,5 +567,5 @@
 	CLASS
 		EXPRESSION '26'
-		NAME "stehendes Gewaesser"
+		NAME "stehendes GewÃ€sser"
 		STYLE
 			COLOR 190 233 250
@@ -1282,5 +1316,5 @@
 	MAXSCALEDENOM 10000
 	CLASS
-		NAME "Gehoelz" #sn1414_sn2517
+		NAME "GehÃ¶lz" #sn1414_sn2517
 		STYLE
 			COLOR 187 222 201 # 217 255 217
@@ -1404,5 +1438,5 @@
 	MAXSCALEDENOM 10000
 	CLASS
-		NAME "Unland, vegetationslose Flaeche"
+		NAME "Unland, vegetationslose FlÃ€che"
 		STYLE
 			COLOR 255 255 255
@@ -1466,5 +1500,5 @@
 	MAXSCALEDENOM 10000
 	CLASS
-		NAME "Fliessgewaesser" #sn2515
+		NAME "FlieÃgewÃ€sser" #sn2515
 		STYLE
 			COLOR 190 233 250
@@ -1526,5 +1560,5 @@
 	MAXSCALEDENOM 10000
 	CLASS
-		NAME "stehendes Gewaesser" #sn2515
+		NAME "stehendes GewÃ€sser" #sn2515
 		STYLE
 			COLOR 190 233 250
@@ -2073,5 +2107,5 @@
 	# Classes ohne FlÃ€chenfÃŒllung
 	CLASS
-		NAME "GebÃ€ude,unterirdisch"
+		NAME "GebÃ€ude, unterirdisch"
 		EXPRESSION ([lagezurerdoberflaeche] = 1200)
 		STYLE # Dummy-FÃŒllung. Legende zeigt FlÃ€che, FlÃ€che bleibt transparent
@@ -2084,8 +2118,9 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 1 2 END
-		END
-	END
-	CLASS
-		NAME "Hochhaus,verfallen"
+			LINECAP butt			
+		END
+	END
+	CLASS
+		NAME "Hochhaus, verfallen"
 		EXPRESSION ([hochhaus]="true" AND [zustand] > 2199)
 		STYLE # Dummy-FÃŒllung
@@ -2098,8 +2133,9 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
-		END
-	END
-	CLASS
-		NAME "GebÃ€ude,verfallen"
+			LINECAP butt			
+		END
+	END
+	CLASS
+		NAME "GebÃ€ude, verfallen"
 		EXPRESSION ([zustand] > 2199)
 		STYLE # Dummy-FÃŒllung
@@ -2112,4 +2148,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt			
 		END
 	END
@@ -2117,5 +2154,5 @@
 	# mit FlÃ€chenfÃŒllung
 	CLASS
-		NAME "WohngebÃ€ude,Hochhaus graphisch"
+		NAME "WohngebÃ€ude, Hochhaus graphisch"
 		EXPRESSION ([hochhaus]="true" AND [ax_datenerhebung] = 4300 AND [gebaeudefunktion] < 2000)
 		STYLE
@@ -2137,5 +2174,5 @@
 	END
 	CLASS
-		NAME "WohngebÃ€ude,Hochhaus aufgestÃ€ndert" # sn2030_sn1301
+		NAME "WohngebÃ€ude, Hochhaus aufgestÃ€ndert" # sn2030_sn1301
 		EXPRESSION ([hochhaus]="true" AND [gebaeudefunktion] < 2000 AND [lagezurerdoberflaeche] = 1400)
 		STYLE
@@ -2147,4 +2184,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt
 		END
 	END
@@ -2156,6 +2194,7 @@
 		END
 		STYLE
-			SYMBOL 'quadrate'
-			SIZE 2 MINSIZE 2 MAXSIZE 4
+			#SYMBOL 'quadrate'
+			#SIZE 2 MINSIZE 2 MAXSIZE 4
+			WIDTH 2 MINWIDTH 2 MAXWIDTH 4
 			OUTLINECOLOR 0 0 0
 		END
@@ -2179,4 +2218,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 6 4 2 4 END
+			LINECAP butt
 		END
 	END
@@ -2192,4 +2232,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt
 		END
 	END
@@ -2221,4 +2262,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 6 4 2 4 END
+			LINECAP butt
 		END
 	END
@@ -2243,6 +2285,7 @@
 		END
 		STYLE
-			SYMBOL 'quadrate'
-			SIZE 2 MINSIZE 2 MAXSIZE 4
+			#SYMBOL 'quadrate'
+			#SIZE 2 MINSIZE 2 MAXSIZE 4
+			WIDTH 2 MINWIDTH 2 MAXWIDTH 4
 			OUTLINECOLOR 0 0 0
 		END
@@ -2286,6 +2329,9 @@
 		STYLE
 			COLOR 204 204 204
+		END
+		STYLE
 			OUTLINECOLOR 0 0 0
-			WIDTH 2 MINWIDTH 2 MAXWIDTH 4
+			#WIDTH 2 MINWIDTH 2 MAXWIDTH 4
+			WIDTH 1 MINWIDTH 1 MAXWIDTH 3
 		END
 	END
@@ -2308,8 +2354,9 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 6 4 2 4 END
-		END
-	END
-	CLASS
-		NAME "GebÃ€ude fÃŒr Ã¶ffentliche Zwecke,Hochhaus, aufgestÃ€ndert"
+			LINECAP butt
+		END
+	END
+	CLASS
+		NAME "GebÃ€ude fÃŒr Ã¶ffentliche Zwecke, Hochhaus, aufgestÃ€ndert"
 		EXPRESSION ([gebaeudefunktion] > 2999 AND [gebaeudefunktion] < 4000 AND "[hochhaus]"="true" AND [lagezurerdoberflaeche] = 1400)
 		STYLE
@@ -2321,4 +2368,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt
 		END
 	END
@@ -2330,5 +2378,7 @@
 		END
 		STYLE
-			SYMBOL 'quadrate'
+			#SYMBOL 'quadrate'
+			#SIZE 2 MINSIZE 2 MAXSIZE 4
+			WIDTH 2 MINWIDTH 2 MAXWIDTH 4
 			SIZE 2 MINSIZE 2 MAXSIZE 4
 			OUTLINECOLOR 0 0 0
@@ -2336,5 +2386,5 @@
 	END
 	CLASS
-		NAME "GebÃ€ude fÃŒr Ã¶ffentliche Zwecke,graphisch"
+		NAME "GebÃ€ude fÃŒr Ã¶ffentliche Zwecke, graphisch"
 		EXPRESSION ([gebaeudefunktion] > 2999 AND [gebaeudefunktion] < 4000 AND [ax_datenerhebung] = 4300)
 		STYLE
@@ -2353,4 +2403,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 6 4 2 4 END
+			LINECAP butt
 		END
 	END
@@ -2366,4 +2417,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt
 		END
 	END
@@ -2374,5 +2426,6 @@
 			COLOR 255 128 128
 			OUTLINECOLOR 0 0 0
-			WIDTH 2 MINWIDTH 2 MAXWIDTH 4
+			#WIDTH 2 MINWIDTH 2 MAXWIDTH 4
+			WIDTH 1 MINWIDTH 1 MAXWIDTH 3
 		END
 	END
@@ -2423,5 +2476,5 @@
 	CLASSITEM 'gebaeudefunktion' #'zustand'
 	CLASS
-		NAME "GebÃ€ude,unterirdisch" # z.B. Tiefgarage
+		NAME "GebÃ€ude, unterirdisch" # z.B. Tiefgarage
 		EXPRESSION ([lagezurerdoberflaeche] = 1200)
 		STYLE # Dummy-FÃŒllung. Legende zeigt FlÃ€che, FlÃ€che bleibt transparent
@@ -2434,4 +2487,5 @@
 			WIDTH 1 MINWIDTH 1 MAXWIDTH 3
 			PATTERN 1 2 END
+			LINECAP butt	
 		END
 	END
@@ -2464,4 +2518,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt			
 		END
 	END
@@ -2498,4 +2553,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt			
 		END
 	END
@@ -2529,4 +2585,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 6 4 2 4 END
+			LINECAP butt			
 		END
 	END
@@ -2544,4 +2601,5 @@
 			OUTLINECOLOR 0 0 0
 			PATTERN 8 4 END
+			LINECAP butt			
 		END
 	END
@@ -2651,5 +2709,5 @@
 	MAXSCALEDENOM 4000
 	CLASS
-		NAME "Besondere Gebaeudelinie"
+		NAME "Besondere GebÃ€udelinie"
 		STYLE
 			SYMBOL 0
@@ -2699,14 +2757,16 @@
 			TYPE TRUETYPE
 			FONT 'arialnarrow'
-			SIZE 5.1
+			SIZE 9
+			MINSIZE 8
+			MAXSIZE 12
 			POSITION uc
 			OFFSET 0 -3
-			ANGLE [drehwinkel]
+			ANGLE [drehwinkel] 
 			COLOR 0 0 0
+			ANTIALIAS TRUE
+			PARTIALS FALSE
+			FORCE True
+			BUFFER 1
 			OUTLINECOLOR 254 254 254
-			#ANTIALIAS TRUE
-			PARTIALS FALSE
-			#FORCE True
-			BUFFER 1
 		END
 	END
@@ -2749,14 +2809,16 @@
 			TYPE TRUETYPE
 			FONT 'arialnarrow'
-			SIZE 4 #MINSIZE 3 MAXSIZE 7
+			SIZE 8
+			MINSIZE 7
+			MAXSIZE 11
 			POSITION uc
 			OFFSET 0 -3
-			ANGLE [drehwinkel]
+			ANGLE [drehwinkel] 
 			COLOR 50 50 50
-			OUTLINECOLOR 254 254 254
 			ANTIALIAS TRUE
 			PARTIALS FALSE
 			FORCE True
 			BUFFER 1
+			OUTLINECOLOR 254 254 254			
 		END
 	END
@@ -3360,5 +3422,5 @@
 	CLASS
 		EXPRESSION /2100/
-		NAME "Topographische Gewaesserbegrenzung"
+		NAME "Topographische GewÃ€sserbegrenzung"
 		STYLE
 			SYMBOL 0
@@ -3422,14 +3484,12 @@
 			TYPE TRUETYPE
 			FONT 'arialnarrowkursiv'
-			SIZE 7.1
-			#MINSIZE 5
-			#MAXSIZE 10
+			SIZE 10
+			MINSIZE 7
+			MAXSIZE 10
 			POSITION cc
 			OFFSET 0 -3.5433
-			MINDISTANCE -1
 			COLOR 255 0 0
-			OUTLINECOLOR 255 255 255
+			OUTLINECOLOR 254 254 254
 			FORCE True
-			BUFFER 1
 		END
 	END
@@ -3613,5 +3673,5 @@
 	GROUP "flurstueck"
 	REQUIRES "[ag_l_flurstueck]" # nur beides
-	TYPE Annotation
+	TYPE POINT
 	STATUS ON
 	CONNECTIONTYPE POSTGIS
@@ -3960,5 +4020,5 @@
 			ANGLE [winkel]
 			FONT "arial"
-			POSITION uc
+			POSITION cc
 			#OFFSET 0 -4.96
 			#FORCE True
@@ -4058,8 +4118,10 @@
 		END
 		STYLE #sn2018
-			SYMBOL 'point'
 			COLOR 242 128 255
-			SIZE 7 MINSIZE 7 MAXSIZE 7
+			WIDTH 7 MINWIDTH 7 MAXWIDTH 7
 			PATTERN 5 15 5 15 27 12 27 15 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter					
 		END
 	END
@@ -4071,9 +4133,11 @@
 			WIDTH 5 MINWIDTH 5 MAXWIDTH 5
 		END
-		STYLE #sn2020 Kreisgrenze
-			SYMBOL 'point' 
+		STYLE
 			COLOR 242 128 255
-			SIZE 5 MINSIZE 5 MAXSIZE 5
+			WIDTH 5 MINWIDTH 5 MAXWIDTH 5
 			PATTERN 4 15 4 15 25 10 25 13 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter					
 		END
 	END
@@ -4086,8 +4150,10 @@
 		END
 		STYLE
-			SYMBOL 'point' #sn2010 Kreisgrenze
 			COLOR 242 128 255 
-			SIZE 5 MINSIZE 5 MAXSIZE 5
+			WIDTH 5 MINWIDTH 5 MAXWIDTH 5
 			PATTERN 23.33 12.5 5 15 5 12.5 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter					
 		END
 	END
@@ -4100,8 +4166,10 @@
 		END
 		STYLE
-			SYMBOL 'point' #sn2022 Gemeindegrenze
 			COLOR 242 128 255
-			SIZE 4 MINSIZE 4 MAXSIZE 4
+			WIDTH 4 MINWIDTH 4 MAXWIDTH 4
 			PATTERN 16.67 8.33 3.33 8.33 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter					
 		END
 	END
@@ -4133,13 +4201,14 @@
 		NAME 'Gemarkungsgrenze'
 		STYLE
-			SYMBOL 'point'
 			COLOR 254 254 254 # heller Untergrund (FlurstÃŒcksgrenze ÃŒbermalen)
-			SIZE 4 MINSIZE 3 MAXSIZE 6
-		END
-		STYLE
-			SYMBOL 'point' #sn2014
+			WIDTH 4 MINWIDTH 3 MAXWIDTH 6
+		END
+		STYLE
 			COLOR 242 128 255
-			SIZE 4 MINSIZE 3 MAXSIZE 6
+			WIDTH 4 MINWIDTH 3 MAXWIDTH 6
 			PATTERN 16.67 8.33 3.33 10 3.33 8.33 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter					
 		END
 	END
@@ -4170,13 +4239,14 @@
 		NAME 'Flurgrenze'
 		STYLE
-			SYMBOL 'point'
-			COLOR 254 254 254 # heller Untergrund
-			SIZE 4 MINSIZE 3 MAXSIZE 5
-		END
-		STYLE #sn2012
-			SYMBOL 'point'
+			COLOR 254 254 254
+			WIDTH 4 MINWIDTH 3 MAXWIDTH 5
+		END
+		STYLE
 			COLOR 242 128 255
-			SIZE 4 MINSIZE 3 MAXSIZE 5
+			WIDTH 4 MINWIDTH 3 MAXWIDTH 5
 			PATTERN 16.67 8.33 3.33 10 3.33 10 3.33 8.33 END
+			LINECAP butt
+			LINEJOINMAXSIZE 20
+			LINEJOIN miter			
 		END
 	END
@@ -4198,9 +4268,11 @@
 		# hier die individuelle Vertragsnummer einsetzen!
 	#	TEXT 'Copyright Geobasisdaten Liegenschaftskataster Kreis Lippe, JJ-NZR-???'
-		TEXT 'Copyright Geobasisdaten Liegenschaftskataster Kreis __'
+		TEXT 'Â©  Geobasisdaten Liegenschaftskataster Kreis __'
 	END
 	CLASS
 		LABEL
-			SIZE small
+			TYPE TRUETYPE
+			FONT arial
+			SIZE 8
 			POSITION ul
 			COLOR 50 50 50